#include <iostream>
#include <vector>
using namespace std;
vector <int> v;
int dobar(int a,int b){
    int brojac=0;
    for(int i=0; i<v.size(); i++){
        if(a-1<=v[i] && v[i]<b-1){
            brojac++;
        }
    }
    return brojac;
}


int main()
{
    cin.tie(0);
    int n;
    cin>>n;
    int niz[n];
    int odgovor[n];
    for(int i=0; i<n; i++){
        cin>>niz[i];
    }
    for(int i=0; i<n-1; i++){
        if(niz[i]>niz[i+1]){
            v.push_back(i);
        }
    }
    int q;
    cin>>q;
    int a;
    int b;
    for(int i=0; i<q; i++){
        cin>>a;
        cin>>b;
        int br = dobar(a,b);
        if(br<=1){
            odgovor[i] = 1;
        }
        else{
            odgovor[i] = 0;
        }
    }
    for(int i=0; i<q; i++){
        if(odgovor[i]==0){
            cout<<"NE"<<endl;
        }
        else{
            cout<<"DA"<<endl;
        }
    }

    return 0;
}